Subject: Re: bug#52314: Set message functions

From: Juri Linkov <[email-masked]>
Date: Sat, 12 Nov 2022 19:40:52 +0200

>>>> +(defcustom inhibit-message-regexp nil
>>>> +  "Regexp to inhibit messages by the function `inhibit-message'."
>>>> +  :type '(choice (const :tag "Don't inhibit messages" nil)
>>>> +                 (regexp :tag "Inhibit messages that match regexp"))
>>>> +  :version "29.1")
>>>
>>> How about making this optionally support a list as well?  That would
>>> make it slightly easier to customize with `M-x customize', I think,
>>> especially once you start racking up many ignored messages.
>>
>> Thanks, good idea, will add it in the next version of the patch.
>> Also this will help to add more regexps easier with e.g.:
>>
>>   (add-to-list 'inhibit-message-regexps "^Mark set$")
>
> I'm removing the patch tag for now, as it seems like this is not yet
> ready for installing on master.

Why not?  I have been testing this patch for 1.5 years, and
everything works fine.  So it's ready for installing on master.